﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/13 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;

namespace Drop
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/13 TPR Created
   *******************************************************************************/
   class Program
   {      
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/13 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {
         WIDatabase WIDB;         
         string Str;
         CDatabaseInfo DBInfo;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";
                 
         /* create a new WIDatabase object using the overload which takes a DBinfo object */                  
         WIDB = new WIDatabase(DBInfo);

         /* attempt to drop the DB and use the result value to set user notification */
         if (WIDB.Database.Delete())
            Str = string.Format("Dropped database named: {0}", DBInfo.DBName);
         else
            Str = string.Format("Could not drop database named: {0}\nError:{1}",DBInfo.DBName, WIDB.LastErrorMessage);

         /* Good practice is to close the DB when finished */
         WIDB.Close();

         Console.WriteLine(Str);  
      }      
   }/* End Class */
}/* End NameSpace */
