﻿/*******************************************************************************
File        : Program.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/05/12 TPR Created
*******************************************************************************/
using System;
using Wiker.WIDatabase;
using System.Collections.ObjectModel;


namespace Insert
{
   /*******************************************************************************
   Class        : Program
   Description  : 
   --------------------------------------------------------------------------------
   History:
   2011/05/12 TPR Created
   *******************************************************************************/
   class Program
   {      
      /*******************************************************************************
      Function    : Main()
      Description : 
      Parameters  : string[] args - 
      Returns     : void
      --------------------------------------------------------------------------------
      History:
      2011/05/12 TPR Created
      *******************************************************************************/
      static void Main(string[] args)
      {         
         WIDatabase WIDB;
         string Str;
         CDatabaseInfo DBInfo;
         Collection<CInsertItem> Inserts;
         CInsertItem Record;

         /* Create DatabaseInfo object with login info  */
         DBInfo = new CDatabaseInfo();
         DBInfo.DatabaseType = eDatabaseType.SQLite;
         DBInfo.Location =  "\\WIDatabase\\Samples";
         DBInfo.DBName = "SQLite.db3";         
         DBInfo.Password = "";
         DBInfo.Port = 0;
         DBInfo.Username = "";

         /* Create WIDatabase object */
         WIDB = new WIDatabase(DBInfo);
               
         /* Calling Insert.Clear() ensures we are not inserting extraneous data. */
         WIDB.Insert.Clear();

         /* Insert.Table([tableName]) indicates the table into which the data will be placed */
         WIDB.Insert.Table("tblAddress");

         Inserts = new Collection<CInsertItem>();
         for (int i=0;i<1000; i++)
            {
            Record = new CInsertItem();
            Record.Clear();
            Record.Column("Address1", i.ToString() + " Fake St");
            Record.Column("Address2","APT " + i.ToString());
            Record.Column("City","Springfield");
            Record.Column("State","KY");
            Record.Column("ZipCode","40069");
            Inserts.Add(Record);
            }
         
         /* Insert.Execute() inserts the data. */
         if (!WIDB.Insert.Bulk(Inserts))
            Str = string.Format("Failed to insert address.\nLastError = {0}\n{1}",WIDB.LastError.ToString(), WIDB.LastErrorMessage);            
         else
            Str = "Bulk inserted records.";
         
         /* Good practice is to close the DB when finished */
         WIDB.Close();

         Console.WriteLine(Str);
      }
   }/* End Class */
}/* End NameSpace */
