﻿/*******************************************************************************
File        : CreateSELECT.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/04/27 WLM Created
*******************************************************************************/
using System;
using System.Windows.Forms;
using System.Drawing;
using Wiker.WIDatabase;
using System.Text;
using System.Collections.ObjectModel;

namespace WIDatabaseSample
{
/*******************************************************************************
Class        : MainForm
Description  : 
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public partial class MainForm
{
/*******************************************************************************
Function    : CreateSQLiteSELECT()
Description : 
Parameters  : CDatabaseInfo databaseInfo - 
Returns     : bool
--------------------------------------------------------------------------------
History:
2011/05/04 WLM Created
*******************************************************************************/
public bool CreateSQLiteSELECT(CDatabaseInfo databaseInfo)
{
WIDBUtil dbUtil;
StringBuilder StrB;
Collection<string> QueryList;
string Str;

/* Create Connection To Database */
dbUtil = new WIDBUtil(databaseInfo);

if (dbUtil.LastError != eDBErrorCodes.None)
   return(false);

QueryList = new Collection<string>();

/*----------------------------------------------------------------------------*/

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblAddress (");
StrB.Append("AddressID INTEGER PRIMARY KEY AUTOINCREMENT, ");
StrB.Append("Address1 TEXT, ");
StrB.Append("Address2 TEXT, ");
StrB.Append("City TEXT, ");
StrB.Append("State TEXT, ");
StrB.Append("ZipCode TEXT) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblCompany (");
StrB.Append("CompanyID INTEGER PRIMARY KEY AUTOINCREMENT, ");
StrB.Append("AddressID INTEGER, ");
StrB.Append("Name TEXT, ");
StrB.Append("LogoID INTEGER, ");
StrB.Append("WebSite TEXT, ");
StrB.Append("Active BOOL) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblImage (");
StrB.Append("ImageID INTEGER PRIMARY KEY AUTOINCREMENT, ");
StrB.Append("ImageData BLOB) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblPerson (");
StrB.Append("PersonID INTEGER PRIMARY KEY AUTOINCREMENT, ");
StrB.Append("AddressID INTEGER, ");
StrB.Append("CompanyID INTEGER, ");
StrB.Append("Name TEXT, ");
StrB.Append("PhotoID INTEGER, ");
StrB.Append("Active BOOL) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblPhone (");
StrB.Append("PhoneID INTEGER PRIMARY KEY AUTOINCREMENT, ");
StrB.Append("CompanyID INTEGER, ");
StrB.Append("PersonID INTEGER, ");
StrB.Append("Type INTEGER, ");
StrB.Append("Number TEXT) ");
QueryList.Add(StrB.ToString());

/*----------------------------------------------------------------------------*/

try
{
dbUtil.Open();

if (!dbUtil.ExecuteTransaction(QueryList))
   {
   dbUtil.Close();
   return(false);
   }

dbUtil.Close();

return(true);
}

catch (Exception ex)
   {
   dbUtil.Close();
   Str = string.Format("Failed to Create Tables\n{0}", ex.Message);
   MessageBox.Show(Str);
   return(false);
   }
}
/*******************************************************************************
Function    : CreateSQLSELECT()
Description : 
Parameters  : CDatabaseInfo databaseInfo - 
Returns     : bool
--------------------------------------------------------------------------------
History:
2011/05/04 WLM Created
*******************************************************************************/
public bool CreateSQLSELECT(CDatabaseInfo databaseInfo)
{
WIDBUtil dbUtil;
StringBuilder StrB;
Collection<string> QueryList;
string Str;

/* Create Connection To Database */
dbUtil = new WIDBUtil(databaseInfo);

if (dbUtil.LastError != eDBErrorCodes.None)
   return(false);

QueryList = new Collection<string>();

/*----------------------------------------------------------------------------*/

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblAddress (");
StrB.Append("AddressID INT IDENTITY(1,1) NOT NULL, ");
StrB.Append("Address1 NCHAR(255) NULL, ");
StrB.Append("Address2 NCHAR(255) NULL, ");
StrB.Append("City NCHAR(255) NULL, ");
StrB.Append("State NCHAR(255) NULL, ");
StrB.Append("ZipCode NCHAR(12) NULL, ");
StrB.Append("CONSTRAINT PK_Address PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	AddressID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblCompany (");
StrB.Append("CompanyID INT IDENTITY(1,1) NOT NULL, ");
StrB.Append("AddressID INT NULL, ");
StrB.Append("Name NCHAR(255) NULL, ");
StrB.Append("LogoID INT NULL, ");
StrB.Append("WebSite NCHAR(255) NULL, ");
StrB.Append("Active BIT NULL, ");
StrB.Append("CONSTRAINT PK_Company PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	CompanyID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblImage (");
StrB.Append("ImageID INT IDENTITY(1,1) NOT NULL, ");
StrB.Append("ImageData image NULL, ");
StrB.Append("CONSTRAINT PK_Image PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("  ImageID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblPerson (");
StrB.Append("PersonID INT IDENTITY(1,1) NOT NULL, ");
StrB.Append("AddressID INT NULL, ");
StrB.Append("CompanyID INT NULL, ");
StrB.Append("Name NCHAR(255) NULL, ");
StrB.Append("PhotoID INT NULL, ");
StrB.Append("Active BIT NULL, ");
StrB.Append("CONSTRAINT PK_Person PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	PersonID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblPhone (");
StrB.Append("PhoneID INT IDENTITY(1,1) NOT NULL, ");
StrB.Append("CompanyID INT NULL, ");
StrB.Append("PersonID INT NULL, ");
StrB.Append("Type INT NULL, ");
StrB.Append("Number NCHAR(25) NULL, ");
StrB.Append("CONSTRAINT PK_Phone PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	PhoneID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

/*----------------------------------------------------------------------------*/

try
{
dbUtil.Open();

if (!dbUtil.ExecuteTransaction(QueryList))
   {
   dbUtil.Close();
   return(false);
   }

dbUtil.Close();

return(true);
}

catch (Exception ex)
   {
   dbUtil.Close();
   Str = string.Format("Failed to Create Tables\n{0}", ex.Message);
   MessageBox.Show(Str);
   return(false);
   }
}
/*******************************************************************************
Function    : CreateMySqlSELECT()
Description : 
Parameters  : CDatabaseInfo databaseInfo - 
Returns     : bool
--------------------------------------------------------------------------------
History:
2011/05/04 WLM Created
*******************************************************************************/
public bool CreateMySqlSELECT(CDatabaseInfo databaseInfo)
{
WIDBUtil dbUtil;
StringBuilder StrB;
Collection<string> QueryList;
string Str;

/* Create Connection To Database */

dbUtil = new WIDBUtil(databaseInfo);

if (dbUtil.LastError != eDBErrorCodes.None)
   return(false);

QueryList = new Collection<string>();

/*----------------------------------------------------------------------------*/

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblAddress (");
StrB.Append("AddressID INT NOT NULL AUTO_INCREMENT, ");
StrB.Append("Address1 CHAR(255) NULL, ");
StrB.Append("Address2 CHAR(255) NULL, ");
StrB.Append("City CHAR(255) NULL, ");
StrB.Append("State CHAR(255) NULL, ");
StrB.Append("ZipCode CHAR(12) NULL, ");
StrB.Append("CONSTRAINT PK_Address PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	AddressID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblCompany (");
StrB.Append("CompanyID INT NOT NULL AUTO_INCREMENT, ");
StrB.Append("AddressID INT NULL, ");
StrB.Append("Name CHAR(255) NULL, ");
StrB.Append("LogoID INT NULL, ");
StrB.Append("WebSite CHAR(255) NULL, ");
StrB.Append("Active BIT NULL, ");
StrB.Append("CONSTRAINT PK_Company PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	CompanyID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblImage (");
StrB.Append("ImageID INT NOT NULL AUTO_INCREMENT, ");
StrB.Append("ImageData LONGBLOB NULL, ");
StrB.Append("CONSTRAINT PK_Image PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("  ImageID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblPerson (");
StrB.Append("PersonID INT NOT NULL AUTO_INCREMENT, ");
StrB.Append("AddressID INT NULL, ");
StrB.Append("CompanyID INT NULL, ");
StrB.Append("Name CHAR(255) NULL, ");
StrB.Append("PhotoID INT NULL, ");
StrB.Append("Active BIT NULL, ");
StrB.Append("CONSTRAINT PK_Person PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	PersonID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

StrB = new StringBuilder();
StrB.Append("CREATE TABLE tblPhone (");
StrB.Append("PhoneID INT NOT NULL AUTO_INCREMENT, ");
StrB.Append("CompanyID INT NULL, ");
StrB.Append("PersonID INT NULL, ");
StrB.Append("Type INT NULL, ");
StrB.Append("Number CHAR(25) NULL, ");
StrB.Append("CONSTRAINT PK_Phone PRIMARY KEY CLUSTERED ");
StrB.Append("  ( ");
StrB.Append("	PhoneID ASC ");
StrB.Append("  )) ");
QueryList.Add(StrB.ToString());

/*----------------------------------------------------------------------------*/

try
{
dbUtil.Open();

if (!dbUtil.ExecuteTransaction(QueryList))
   {
   dbUtil.Close();
   return(false);
   }

dbUtil.Close();

return(true);
}

catch (Exception ex)
   {
   dbUtil.Close();
   Str = string.Format("Failed to Create Tables\n{0}", ex.Message);
   MessageBox.Show(Str);
   return(false);
   }
}
} /* End Of Class MainForm */
} /* End Of NameSpace WIDatabaseSample */